%define upstream_name    Log-Dispatch-Config
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Log4j for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AppConfig) >= 1.520.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp) >= 0.120.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Log::Dispatch) >= 2.0.0
BuildRequires: perl(Test::More) >= 0.320.0
BuildArch:  noarch

%description 
Log::Dispatch::Config is a subclass of Log::Dispatch and provides a way
to configure Log::Dispatch object with configulation file (default, in
AppConfig format). I mean, this is log4j for Perl, not with all API
compatibility though.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes META.json META.yml README
%{perl_vendorlib}/Log/Dispatch*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 369219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 19 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 88530
- update to 1.04

* Mon Jan 24 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 36400
- mageia rebuild
- imported package perl-Log-Dispatch-Config

